Get a fee
Retrieve a fee by ID, stage, and version.
Required permissions: fee:read.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
fee_id
The ID of the fee.
Headers
X-Penny-As-Business
Act on behalf of another business that has granted you access. Requires the business:act_as permission.
Query parameters
stage
Stage to return; 0 returns the latest.
version
Resource version to return; 0 returns the latest.
Response
The fee.
fee_id
Unique identifier for the fee, assigned by Penny.
version
A counter, assigned by Penny, that increases each time this fee is updated.
version_time
When this version of the fee was recorded.
stage
Tracks how far this fee has progressed through its billing lifecycle, increasing each time the fee moves to its next stage — for example, from assessment to collection.
stage_time
When the fee entered its current lifecycle stage.
currency
The three-letter ISO 4217 currency code the fee amount is stated in.
Allowed values:
amount
The total amount of this fee, expressed as a decimal string in the fee's currency.
status
The fee's current status in its billing lifecycle, such as assessed, pending collection, or collected.
source
The entity that caused this fee to be assessed, such as a specific card, transaction, or account.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error